# List OpenSearch credentials

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List OpenSearch credentials"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/infrastructure/document_stores"}
  context={"endpoint"}
>
  
</MethodEndpoint>

List all OpenSearch credentials that exist for the current organization.

<ParamsDetails
  parameters={undefined}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"items":{"properties":{"aws_domain_arn":{"description":"The AWS domain ARN of your OpenSearch cluster. Follow [our documentation](https://docs.cloud.deepset.ai/docs/connect-your-own-file-storage) to find your ARN.","title":"AWS Domain ARN","type":"string"},"credentials_id":{"description":"Unique ID of the credentials.","format":"uuid","title":"Credentials ID","type":"string"}},"required":["credentials_id","aws_domain_arn"],"title":"ExternalFacingDocumentStoreCredentials","type":"object"},"title":"Response List Available Opensearch Credentials Api V1 Infrastructure Document Stores Get","type":"array"}}},"description":"The list of document store credentials that exist for the current organization."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
